[Rubygems-developers] [ rubygems-Bugs-28414 ] RubyGems 1.3.7 default gem directory is wrong when used with ruby 1.9.1 with --program-suffix=1.9

noreply at rubyforge.org noreply at rubyforge.org
Fri Nov 12 23:32:14 EST 2010


Bugs item #28414, was opened at 2010-07-22 05:44
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28414&group_id=126

Category: `gem` commands (other)
Group: v1.3.x
Status: Open
Resolution: None
Priority: 3
Submitted By: Svetoslav Agafonkin (svetlyo)
>Assigned to: John Barnette (jbarnette)
Summary: RubyGems 1.3.7 default gem directory is wrong when used with ruby 1.9.1 with --program-suffix=1.9

Initial Comment:
RubyGems 1.3.7 default gem directory is wrong when used with ruby 1.9.1 with --program-suffix=1.9.

Gem.default_dir generates "/opt/local/lib/ruby/gems/1.9.1/"  instead of "/opt/local/lib/ruby1.9/gems/1.9.1/".

The change was introduced in lib/rubygems/defaults.rb in

http://github.com/rubygems/rubygems/commit/0495c7c0dd9878f9a7a74f5133d7892d28d01812

- a big import from the ruby trunk, right after 1.3.6 was released.

The original change comes from this commit:
http://redmine.ruby-lang.org/repositories/diff/ruby-19?rev=26048


---------------------
Mac OS X 10.5.8
ruby 1.9.1_429 (from Macports)
rubgygems 1.3.7

$ gem1.9 env
RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.7
  - RUBY VERSION: 1.9.1 (2010-07-02 patchlevel 429) [i386-darwin9]
  - INSTALLATION DIRECTORY: /opt/local/lib/ruby/gems/1.9.1
  - RUBY EXECUTABLE: /opt/local/bin/ruby1.9
  - EXECUTABLE DIRECTORY: /opt/local/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-darwin-9
  - GEM PATHS:
     - /opt/local/lib/ruby/gems/1.9.1
     - /Users/fro/.gem/ruby/1.9.1
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://rubygems.org/


----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28414&group_id=126


More information about the Rubygems-developers mailing list